searchNodes=[{"doc":"Using intervals for the representation of real numbers, it is possible to control the error propagation of rounding or truncation, between others, in numerical computational procedures.[1] Moore, R. E., Interval Analysis. Prentice-Hall, Englewood Cliffs, New Jersey, 1966.[2] Moore, R. E., Methods and Applications of Interval Analysis. SIAMStudies in Applied Mathematics, Philadelphia, 1979.[3] Kulisch, U. W., Miranker, W. L., Computer Arithmetic in Theory andPractice. Academic Press, 1981.","ref":"ExInterval.html","title":"ExInterval","type":"module"},{"doc":"It implements the interval type and range operations on the type, using directed roundings intervals, recognize the input as strings and performs operations between intervals.","ref":"ExInterval.Interval.html","title":"ExInterval.Interval","type":"module"},{"doc":"Calculates the absolute value of the intervalParametersabsolute/1Examplesiex&gt; ExInterval.Interval.absolute([-1, 1]) 1.0","ref":"ExInterval.Interval.html#absolute/1","title":"ExInterval.Interval.absolute/1","type":"function"},{"doc":"Binary plus operatorParametersadd/2Examples iex&gt; ExInterval.Interval.add(%ExInterval.Interval{inf: 0.25, sup: 0.5}, 2) [2.25, 2.5] iex&gt; ExInterval.Interval.add(&quot;0.1&quot;, 0.1) [0.2, 0.2]","ref":"ExInterval.Interval.html#add/2","title":"ExInterval.Interval.add/2","type":"function"},{"doc":"Returns the distance between supremum and infimum of the intervalParametersdiameter/1Examplesiex&gt; ExInterval.Interval.diameter([-10, 1]) 11.0","ref":"ExInterval.Interval.html#diameter/1","title":"ExInterval.Interval.diameter/1","type":"function"},{"doc":"Division operatorParametersdivision/2Examples iex&gt; ExInterval.Interval.division(%ExInterval.Interval{inf: 0.25, sup: 0.5}, %ExInterval.Interval{inf: 2, sup: 4}) [0.0625, 0.25] iex&gt; ExInterval.Interval.division(%ExInterval.Interval{inf: -0.75, sup: 0.75}, 2) [-0.375, 0.375] iex&gt; ExInterval.Interval.division(&quot;0.1&quot;, 0.1) [1.0, 1.0]","ref":"ExInterval.Interval.html#division/2","title":"ExInterval.Interval.division/2","type":"function"},{"doc":"Calculates the machine epsilonParameterseps/0Examplesiex&gt; ExInterval.Interval.eps 2.220446049250313e-16","ref":"ExInterval.Interval.html#eps/0","title":"ExInterval.Interval.eps/0","type":"function"},{"doc":"Returns true if the value is an element or a subset of the intervalParametersis_member?/2Examples iex&gt; ExInterval.Interval.is_member?(0.0, %ExInterval.Interval{inf: -1, sup: -0.1}) false iex&gt; ExInterval.Interval.is_member?(0.0, %ExInterval.Interval{inf: -1, sup: 1}) true iex&gt; ExInterval.Interval.is_member?(0.0, %ExInterval.Interval{inf: 0.1, sup: 1}) false","ref":"ExInterval.Interval.html#is_member?/2","title":"ExInterval.Interval.is_member?/2","type":"function"},{"doc":"Returns the middle point of the intervalParametersmiddle/1Examples iex&gt; ExInterval.Interval.middle(%ExInterval.Interval{inf: -10.0, sup: 5.0}) -2.5","ref":"ExInterval.Interval.html#middle/1","title":"ExInterval.Interval.middle/1","type":"function"},{"doc":"Multiplication operatorParametersmul/2Examples iex&gt; ExInterval.Interval.mul(%ExInterval.Interval{inf: 0.25, sup: 0.5}, %ExInterval.Interval{inf: 2.0, sup: 3.0}) [0.5, 1.5] iex&gt; ExInterval.Interval.mul(%ExInterval.Interval{inf: -0.75, sup: 0.75}, &quot;2&quot;) [-1.5, 1.5] iex&gt; ExInterval.Interval.mul(0.2, &quot;0.1&quot;) [0.02, 0.020000000000000004]","ref":"ExInterval.Interval.html#mul/2","title":"ExInterval.Interval.mul/2","type":"function"},{"doc":"Returns a new IntervalParametersnew/1 or new/2Examples iex&gt; ExInterval.Interval.new(1.1) [1.1, 1.1] iex&gt; ExInterval.Interval.new(1.1, 2.5) [1.1, 2.5]","ref":"ExInterval.Interval.html#new/1","title":"ExInterval.Interval.new/1","type":"function"},{"doc":"","ref":"ExInterval.Interval.html#new/2","title":"ExInterval.Interval.new/2","type":"function"},{"doc":"Return the square root of the intervalParameterssqrt/1Examplesiex&gt; ExInterval.Interval.sqrt([9, 25]) [3.0, 5.0]","ref":"ExInterval.Interval.html#sqrt/1","title":"ExInterval.Interval.sqrt/1","type":"function"},{"doc":"Binary minus operatorParameterssub/2Examples iex&gt; ExInterval.Interval.sub(%ExInterval.Interval{inf: 0.25, sup: 0.5}, 2) [-1.75, -1.5] iex&gt; ExInterval.Interval.sub(%ExInterval.Interval{inf: -0.75, sup: 0.75}, &quot;2&quot;) [-2.75, -1.25] iex&gt; ExInterval.Interval.sub(&quot;0.1&quot;, 0.1) [0.0, 0.0]","ref":"ExInterval.Interval.html#sub/2","title":"ExInterval.Interval.sub/2","type":"function"},{"doc":"","ref":"ExInterval.Interval.html#t:interval/0","title":"ExInterval.Interval.interval/0","type":"type"},{"doc":"Rounding is a NIF module, allowing us to get or modify the floating-point status flags affecting the outcomes of some floating-point operations.","ref":"ExInterval.Rounding.html","title":"ExInterval.Rounding","type":"module"},{"doc":"Gets the status of the floating-point environmentParametersget/0Examples iex&gt; ExInterval.Rounding.get_mode() 0","ref":"ExInterval.Rounding.html#get_mode/0","title":"ExInterval.Rounding.get_mode/0","type":"function"},{"doc":"","ref":"ExInterval.Rounding.html#init/0","title":"ExInterval.Rounding.init/0","type":"function"},{"doc":"","ref":"ExInterval.Rounding.html#load_nifs/0","title":"ExInterval.Rounding.load_nifs/0","type":"function"},{"doc":"Sets the status of the floating-point environment set_mode(0),set_mode(-1) or set_mode(1)Parametersset/1Examples iex&gt; backup_mode = ExInterval.Rounding.get_mode() 0 iex&gt; ExInterval.Rounding.set_mode(-1) 0 iex&gt; 1/3 0.3333333333333333 iex&gt; ExInterval.Rounding.set_mode(1) 0 iex&gt; 1/3 0.33333333333333337 iex&gt; ExInterval.Rounding.set_mode(backup_mode) 0","ref":"ExInterval.Rounding.html#set_mode/1","title":"ExInterval.Rounding.set_mode/1","type":"function"}]